import { Fragment as _Fragment, jsx as _jsx } from "react/jsx-runtime";
import { useMemo } from 'react';
import { useLifecycle } from '../hooks';
import { initializeFieldArrayStore } from '../utils';
/**
 * Headless field array that provides reactive properties and state.
 */
export function FieldArray({ children, ...props }) {
    // Destructure props
    const { of: form, name } = props;
    // Get store of specified field array
    const fieldArray = useMemo(() => initializeFieldArrayStore(form, name), [form, name]);
    // Use lifecycle of field array
    useLifecycle({ ...props, store: fieldArray });
    return (_jsx(_Fragment, { children: children(useMemo(() => ({
            name,
            items: fieldArray.items,
            error: fieldArray.error,
            active: fieldArray.active,
            touched: fieldArray.touched,
            dirty: fieldArray.dirty,
        }), [fieldArray, name])) }));
}
